"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addQtiImports = addQtiImports;
exports.clearQtiImports = clearQtiImports;

var _quizCommon = require("@instructure/quiz-common");

function addQtiImports(imports) {
  return {
    type: _quizCommon.ADD_QTI_IMPORTS,
    payload: imports
  };
}

function clearQtiImports() {
  return {
    type: _quizCommon.CLEAR_QTI_IMPORTS
  };
}