"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.removeSharedBank = exports.addSharedBanks = void 0;

var _quizCommon = require("@instructure/quiz-common");

var addSharedBanks = function addSharedBanks(sharedBank) {
  return {
    type: _quizCommon.ADD_SHARED_BANKS,
    payload: sharedBank
  };
};

exports.addSharedBanks = addSharedBanks;

var removeSharedBank = function removeSharedBank(bankId) {
  return {
    type: _quizCommon.REMOVE_SHARED_BANK,
    payload: bankId
  };
};

exports.removeSharedBank = removeSharedBank;