"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _reactImmutableProptypes = _interopRequireDefault(require("react-immutable-proptypes"));

var _uiElements = require("@instructure/ui-elements");

var _uiLayout = require("@instructure/ui-layout");

var _quizRce = require("@instructure/quiz-rce");

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var StimulusShowInfo =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(StimulusShowInfo, _Component);

  function StimulusShowInfo() {
    (0, _classCallCheck2.default)(this, StimulusShowInfo);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(StimulusShowInfo).apply(this, arguments));
  }

  (0, _createClass2.default)(StimulusShowInfo, [{
    key: "render",
    value: function render() {
      var instructions = this.props.stimulus.instructions && _react.default.createElement(_uiLayout.View, {
        as: "div",
        padding: "small",
        margin: "x-small 0 0 0",
        background: "light"
      }, _react.default.createElement(_uiLayout.View, {
        as: "div"
      }, _react.default.createElement(_uiElements.Text, {
        color: "primary",
        size: "small"
      }, (0, _formatMessage.default)('Instructions'))), _react.default.createElement(_uiLayout.View, {
        as: "div",
        padding: "0 0 small 0"
      }, _react.default.createElement("div", {
        "data-automation": "sdk-stimulus-LeftPanelShow-instructions"
      }, _react.default.createElement(_uiElements.Text, {
        color: "primary",
        size: "small",
        weight: "bold"
      }, this.props.stimulus.instructions))));

      return _react.default.createElement(_uiLayout.View, {
        as: "div"
      }, _react.default.createElement(_uiElements.Text, {
        color: "primary",
        weight: "bold",
        size: "large"
      }, this.props.stimulus.title), instructions, _react.default.createElement("div", {
        "data-automation": "sdk-stimulus-LeftPanelShow-content"
      }, _react.default.createElement(_quizRce.RichContentRenderer, {
        content: this.props.stimulus.body
      })));
    }
  }]);
  StimulusShowInfo.displayName = "StimulusShowInfo";
  return StimulusShowInfo;
}(_react.Component);

StimulusShowInfo.propTypes = {
  stimulus: _reactImmutableProptypes.default.record.isRequired
};
var _default = StimulusShowInfo;
exports.default = _default;